using System;
using System.Collections.Generic;
using UnityEngine;

namespace mgaia.tk2d
{
	/// <summary>
	/// Classe para gerenciar o input
	/// </summary>
	/// <owner>Victor</owner>
	public static class InputSystem
	{
		/// <summary>
		/// Ativa ou desativa o input
		/// </summary>
		public static void ActiveOrDisableInputSystem(bool active)
		{
			tk2dUIManager uiManager = GameObject.FindObjectOfType<tk2dUIManager>();
			if (uiManager != null)
			{
				uiManager.InputEnabled = active;
			}
		}
	}
}